#
# This file was generated using xslt from its XML file
#
# Copyright 2009, Associated Universities Inc., Washington DC
#
import sys
import os
from  casac import *
import string
from taskinit import casalog
from taskinit import xmlpath
#from taskmanager import tm
import task_AKF
def AKF(imName='', kwdlist=[' '], outfile=' ', include= False):

        """FITS keywords

   This task produces FITS keywords

   Keyword arguments:

	imName -- name of input image file
	kwdlist -- List of the keywords to calculate: allowed keywords are kBNDRES, kBNDWID, kBNDCTR, kDATAMAX, kDATAMIN, kCHANRMS, kSPATRES, kSTOKES, kDYNRNG, kFLUXTOT, kDECTAR', kRATAR, kUVRANGE, kDATEEND, kDATEOBS, kDATEAVG, kMJDAVG, kMJDOBS, kMJDEND, kNANT, kPADLIST, kBAND, kMAXANGS, kMINPRBL, kMAXPRBL. Details of the definition of each keywords can be found in the Liuzzo et al. 2018 ALMA Memo and in the Italian ALMA Regional Center web page  http://www.alma.inaf.it/index.php/ALMA_FITS_Keywords.
	outfile -- Name of disk file to write output. If '' is left, results will be written only to the terminal.
	include -- Include the calculated kwds in the FITS header, True or False. Default is False.
  
        """
        if type(kwdlist)==str: kwdlist=[kwdlist]

#
#    The following is work around to avoid a bug with current python translation
#
        mytmp = {}

        mytmp['imName'] = imName
        mytmp['kwdlist'] = kwdlist
        mytmp['outfile'] = outfile
        mytmp['include'] = include
	pathname="file:///Users/eliuzzo/Job/ASTI_Nov17/AKF/AKF_codes/CASA_task/FITSkwd_20June18/toMemo/"
	trec = casac.utils().torecord(pathname+'AKF.xml')

        casalog.origin('AKF')
        if trec.has_key('AKF') and casac.utils().verify(mytmp, trec['AKF']) :
	    result = task_AKF.AKF(imName, kwdlist, outfile, include)

	else :
	  result = False
        return result
